Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.j3d
Class WPVSScene

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.j3d.WPVSScene

    public class WPVSScene

extends Object

This class represents the basic class for creation of a 3D perspective views as specified in the OGC Web Perpective View Service specification. A WPVS scene is defined by a scene model and a date determining the light conditions. Additional elements are 3D or 2.5D-features that are placed into the scene, atmospheric conditions influencing the light and visibility (e.g. fog, rain etc., but currently not implemented) and additional light placed into the scene (e.g. street lights, spots, lighted windows etc.).

-----------------------------------------------------------------------

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Katharina Lupp, Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`WPVSScene(javax.media.j3d.OrderedGroup scene, ViewPoint viewPoint, Calendar calendar, List<javax.media.j3d.Light> lights, javax.media.j3d.Node background)` Creates a new instance of WPVScene

Method Summary
`void` | `addLight(javax.media.j3d.Light light)` adds a light to the scene. this can be ambient, directional and point light.
`javax.media.j3d.Node` | `getBackground()`
`Calendar` | `getDate()` get the date and the time for determining time depending the light conditions of the scene
`javax.media.j3d.Light[]` | `getLights()` returns the lights of the scene
`javax.media.j3d.OrderedGroup` | `getScene()`
`ViewPoint` | `getViewPoint()` gets the position of the viewer, the directions he looks and his field of view in radians
`void` | `setBackground(javax.media.j3d.Node background)`
`void` | `setDate(Calendar calendar)` set the date and the time for determining time depending the light conditions of the scene
`void` | `setLights(javax.media.j3d.Light[] lights)` sets the lights of the scene. this can be ambient, directional and point light.
`void` | `setViewPoint(ViewPoint viewPoint)` defines the position of the viewer and the point he looks at.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WPVSScene

    public WPVSScene(javax.media.j3d.OrderedGroup scene,
                     ViewPoint viewPoint,
                     Calendar calendar,
                     List<javax.media.j3d.Light> lights,
                     javax.media.j3d.Node background)

  Creates a new instance of WPVScene

  Parameters:
    `scene` - java3D representation of the scene.
    `viewPoint` - object that describes the viewers position and the looking direction
    `calendar` - describtion of the date and time for which the scene shall be rendered --> light conditions
    `lights` - lights in addition to sun and ambient light (e.g. street lights, spots etc.)
    `background` - scene background; have to be a `Shape3D` or a `Background`

Method Detail

### getBackground

    public javax.media.j3d.Node getBackground()

  Returns:
    the background object of the scene.

### setBackground

    public void setBackground(javax.media.j3d.Node background)

  Parameters:
    `background` - sets the `Background` object of the scene

### getDate

    public Calendar getDate()

  get the date and the time for determining time depending the light conditions of the scene

  Returns:
    describtion of the date and time for which the scene shall be rendered --> light conditions

### setDate

    public void setDate(Calendar calendar)

  set the date and the time for determining time depending the light conditions of the scene

  Parameters:
    `calendar` - describtion of the date and time for which the scene shall be rendered --> light conditions

### getScene

    public javax.media.j3d.OrderedGroup getScene()

  Returns:
    Java3D representation of the scene.

### getViewPoint

    public ViewPoint getViewPoint()

  gets the position of the viewer, the directions he looks and his field of view in radians

  Returns:
    object that describes the viewers position and the point he looks at

### setViewPoint

    public void setViewPoint(ViewPoint viewPoint)

  defines the position of the viewer and the point he looks at.

  Parameters:
    `viewPoint` - object that describes the viewers position and the point he looks at

### addLight

    public void addLight(javax.media.j3d.Light light)

  adds a light to the scene. this can be ambient, directional and point light.

  Parameters:
    `light` - a light in addition to sun and basic ambient light (e.g. street lights, spots etc.)

### getLights

    public javax.media.j3d.Light[] getLights()

  returns the lights of the scene

  Returns:
    lights including sun and basic ambient light (e.g. street lights, spots etc.)

### setLights

    public void setLights(javax.media.j3d.Light[] lights)

  sets the lights of the scene. this can be ambient, directional and point light.

  Parameters:
    `lights` - lights in addition to sun and basic ambient light (e.g. street lights, spots etc.)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org